Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060724 - [abrt] rsyslog: journal_file_move_to_object(): rsyslogd killed by SIGBUS
Summary: [abrt] rsyslog: journal_file_move_to_object(): rsyslogd killed by SIGBUS
Keywords:
Status: CLOSED DUPLICATE of bug 1047625
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:430205999b83eb32c2d5eda1027...
: 974331 1062892 1089103 1105881 1163636 1177933 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 13:06 UTC by Josh Cogliati
Modified: 2015-03-04 16:28 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-05 02:36:34 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-03 13:06 UTC, Josh Cogliati
no flags Details
File: cgroup (deleted)
2014-02-03 13:06 UTC, Josh Cogliati
no flags Details
File: core_backtrace (deleted)
2014-02-03 13:06 UTC, Josh Cogliati
no flags Details
File: dso_list (deleted)
2014-02-03 13:06 UTC, Josh Cogliati
no flags Details
File: environ (deleted)
2014-02-03 13:06 UTC, Josh Cogliati
no flags Details
File: exploitable (deleted)
2014-02-03 13:06 UTC, Josh Cogliati
no flags Details
File: limits (deleted)
2014-02-03 13:06 UTC, Josh Cogliati
no flags Details
File: maps (deleted)
2014-02-03 13:07 UTC, Josh Cogliati
no flags Details
File: open_fds (deleted)
2014-02-03 13:07 UTC, Josh Cogliati
no flags Details
File: proc_pid_status (deleted)
2014-02-03 13:07 UTC, Josh Cogliati
no flags Details
File: var_log_messages (deleted)
2014-02-03 13:07 UTC, Josh Cogliati
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1093966 None CLOSED [abrt] systemd: memset(): systemd-journald killed by SIGBUS 2019-03-01 17:35:51 UTC

Internal Links: 1093966

Description Josh Cogliati 2014-02-03 13:06:37 UTC
Version-Release number of selected component:
rsyslog-7.4.2-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /sbin/rsyslogd -n
crash_function: journal_file_move_to_object
executable:     /usr/sbin/rsyslogd
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 journal_file_move_to_object at ../src/journal/journal-file.c:439
 #1 generic_array_get at ../src/journal/journal-file.c:1454
 #2 journal_file_next_entry at ../src/journal/journal-file.c:1991
 #3 next_with_matches at ../src/journal/sd-journal.c:814
 #4 next_beyond_location at ../src/journal/sd-journal.c:836
 #5 real_journal_next at ../src/journal/sd-journal.c:895
 #6 sd_journal_next at ../src/journal/sd-journal.c:931
 #7 runInput at imjournal.c:533
 #8 thrdStarter at ../threads.c:212

Comment 1 Josh Cogliati 2014-02-03 13:06:48 UTC
Created attachment 858554 [details]
File: backtrace

Comment 2 Josh Cogliati 2014-02-03 13:06:50 UTC
Created attachment 858555 [details]
File: cgroup

Comment 3 Josh Cogliati 2014-02-03 13:06:52 UTC
Created attachment 858556 [details]
File: core_backtrace

Comment 4 Josh Cogliati 2014-02-03 13:06:53 UTC
Created attachment 858557 [details]
File: dso_list

Comment 5 Josh Cogliati 2014-02-03 13:06:55 UTC
Created attachment 858558 [details]
File: environ

Comment 6 Josh Cogliati 2014-02-03 13:06:57 UTC
Created attachment 858559 [details]
File: exploitable

Comment 7 Josh Cogliati 2014-02-03 13:06:59 UTC
Created attachment 858560 [details]
File: limits

Comment 8 Josh Cogliati 2014-02-03 13:07:01 UTC
Created attachment 858561 [details]
File: maps

Comment 9 Josh Cogliati 2014-02-03 13:07:07 UTC
Created attachment 858562 [details]
File: open_fds

Comment 10 Josh Cogliati 2014-02-03 13:07:09 UTC
Created attachment 858563 [details]
File: proc_pid_status

Comment 11 Josh Cogliati 2014-02-03 13:07:13 UTC
Created attachment 858564 [details]
File: var_log_messages

Comment 12 Tomas Heinrich 2014-02-04 10:33:17 UTC
Given that rsyslog calls a function that takes a single opaque argument [1], I'm inclined to think this is a bug in systemd.

[1] sd_journal_next(sd_journal* j);

Comment 13 Zbigniew Jędrzejewski-Szmek 2014-02-04 13:53:03 UTC
This range seems to be mapped. Is is possible that the file (/var/log/journal/c83a8a098011452b87b04623eed08648/system@0004f0eb07ccd098-ac1fb61e1f862f60.journal~) has been modified at the same time by something else? Alternatively, was the system under memory pressure?

Comment 14 Josh Cogliati 2014-02-05 03:28:35 UTC
I wasn't fiddling with files in var log (so it would have had to have been a different program if that is the case).  Also, the system has 4GB so it shouldn't have that much memory pressure.

Comment 15 Tomas Heinrich 2014-02-09 13:53:43 UTC
*** Bug 1062892 has been marked as a duplicate of this bug. ***

Comment 16 Tomas Heinrich 2014-04-18 13:11:20 UTC
*** Bug 1089103 has been marked as a duplicate of this bug. ***

Comment 17 Tomas Heinrich 2014-06-12 12:56:40 UTC
*** Bug 1105881 has been marked as a duplicate of this bug. ***

Comment 18 Tomas Heinrich 2014-06-27 12:25:48 UTC
*** Bug 974331 has been marked as a duplicate of this bug. ***

Comment 19 Lennart Poettering 2015-01-05 02:36:34 UTC

*** This bug has been marked as a duplicate of bug 1047625 ***

Comment 20 Tomas Heinrich 2015-01-05 15:22:56 UTC
*** Bug 1177933 has been marked as a duplicate of this bug. ***

Comment 21 Tomas Heinrich 2015-03-04 16:28:47 UTC
*** Bug 1163636 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.